List Connection API Request Logs
curl --request GET \
--url https://api.example.com/v2/integrations/connections/{connection_id}/logs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v2/integrations/connections/{connection_id}/logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v2/integrations/connections/{connection_id}/logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"is_webhook": true,
"url": "<string>",
"requested_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"request": {
"body": {},
"headers": {},
"params": {},
"url": "<string>"
},
"response": {
"body": {},
"encoding": "<string>",
"headers": {},
"reason": "<string>",
"status_code": 123
},
"success": true,
"response_size": 123,
"object": "<string>"
}
],
"current_page": 0,
"total_records": 1,
"next_page": 123
}{
"type": "<string>",
"status": 123,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}integrations
List Connection API Request Logs
Retrieve a paginated list of API request logs for an integration connection.
GET
/
v2
/
integrations
/
connections
/
{connection_id}
/
logs
List Connection API Request Logs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Page number, 0 indexed.
Required range:
x >= 0Number of records per page.
Required range:
1 <= x <= 500Search in request URL
Response
Successful Response
The list of records.
Show child attributes
Show child attributes
The current page.
Total number of records.
Required range:
x >= 0The next page number, if one exists.
⌘I
